Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.infinispan
Class InfinispanRepository

    java.lang.Object
      org.modeshape.graph.connector.base.Repository<InfinispanNode,InfinispanWorkspace>
          org.modeshape.connector.infinispan.InfinispanRepository

    @ThreadSafe
    public class InfinispanRepository

extends Repository<InfinispanNode,InfinispanWorkspace>

The representation of an in-memory repository and its content.

Field Summary

Fields inherited from class org.modeshape.graph.connector.base.Repository
`context, rootNodeUuid, source`

Constructor Summary
`InfinispanRepository(BaseInfinispanSource source, org.infinispan.manager.CacheContainer cacheContainer)`

Method Summary
`protected Set<String>` | `getAllWorkspaceNames(Set<String> alreadyKnownNames)` Utility method to obtain all of the names of the workspaces within the supplied cache container.
`protected org.infinispan.manager.CacheContainer` | `getCacheContainer()` Get the cache manager used by this repository.
`protected org.infinispan.Cache<UUID,InfinispanNode>` | `getCacheOrCreateIfMissing(String cacheName)`
`Set<String>` | `getWorkspaceNames()` Get the names of the available workspaces that have been loaded.
`void` | `shutdown()` This method shuts down the workspace and makes it no longer usable.
`InfinispanTransaction` | `startTransaction(ExecutionContext context, boolean readonly)` Begin a transaction, hinting whether the transaction will be used only to read the content.

Methods inherited from class org.modeshape.graph.connector.base.Repository
`createRequestProcessor, createWorkspace, destroyWorkspace, getContext, getDefaultWorkspaceName, getRootNodeUuid, getSourceName, getWorkspace, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfinispanRepository

    public InfinispanRepository(BaseInfinispanSource source,
                                org.infinispan.manager.CacheContainer cacheContainer)

Method Detail

### getWorkspaceNames

    public Set<String> getWorkspaceNames()

  Get the names of the available workspaces that have been loaded.

  Overrides:
    `getWorkspaceNames` in class `Repository<InfinispanNode,InfinispanWorkspace>`
  Returns:
    the immutable names of the workspaces.
  See Also:
    `Repository.getWorkspaceNames()`

### getAllWorkspaceNames

    protected Set<String> getAllWorkspaceNames(Set<String> alreadyKnownNames)

  Utility method to obtain all of the names of the workspaces within the supplied cache container. In case the method needs to validate the caches to see if they are workspaces, this method also takes the names of the caches that are known to be valid workspaces.

  Parameters:
    `alreadyKnownNames` - the names of the workspaces that are already known; may not be null but may be empty
  Returns:
    the names of all available workspaces in the supplied container; never null but possibly empty

### getCacheOrCreateIfMissing

    protected org.infinispan.Cache<UUID,InfinispanNode> getCacheOrCreateIfMissing(String cacheName)

### getCacheContainer

    protected org.infinispan.manager.CacheContainer getCacheContainer()

  Get the cache manager used by this repository.

  Returns:
    the cacheManager; never null

### shutdown

    public void shutdown()

  This method shuts down the workspace and makes it no longer usable. This method should also only be called once.

### startTransaction

    public InfinispanTransaction startTransaction(ExecutionContext context,
                                                  boolean readonly)

  Begin a transaction, hinting whether the transaction will be used only to read the content. If this is called, then the transaction must be either `committed` or `rolled back`.

  Specified by:
    `startTransaction` in class `Repository<InfinispanNode,InfinispanWorkspace>`
  Parameters:
    `context` - the context in which the transaction is to be performed; may not be null
    `readonly` - true if the transaction will not modify any content, or false if changes are to be made
  Returns:
    the transaction; never null
  See Also:
    `Repository.startTransaction(org.modeshape.graph.ExecutionContext, boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.